* Encoding: UTF-8.
*--------------------------------------------------------------------------------------------------------------------------.

* Kumulation der Mikrozensen 1962 bis 2016

* SPSS-Syntax zur Generierung harmonisierter Variablen
* Themenbereich Gesundheit
* Mikrozensus Scientific Use File 1963

*--------------------------------------------------------------------------------------------------------------------------.

* Dateiname: ges63.sps
* Version: 5

* IBM SPSS Statistics Version 24.0

* Bei Nutzung dieses Programmcodes bitte zitieren:
  Lengerer, Andrea; Schroedter, Julia H.; Boehle, Mara; Wolf, Christof (2020):
  Datenhandbuch GESIS Mikrozensus-Trendfile. Harmonisierung der Mikrozensen 1962 bis 2016
  GESIS Papers 2020/18. Mannheim: GESIS

* GESIS - Leibniz-Institut fuer Sozialwissenschaften
  German Microdata Lab
  https://www.gesis.org/gml
  gml@gesis.org

*--------------------------------------------------------------------------------------------------------------------------.





*---------------------------------------------------   Vorbereitungen   ---------------------------------------------------.

MISSING VALUES ALL ().

* Erhebungsjahr.
COMPUTE jahr=1963.

* Versionsnummer des Moduls 'Gesundheit'.
COMPUTE vers_ges=5.


*-------------------------------------------------   Krankenversicherung   ------------------------------------------------.

* Krankenversicherung: Kassentyp (8 Kategorien).
RECODE V21 (2=1) (3=1) (5=2) (6=2) (7=2) (9=3) (10=4) (11=5) (12=7) (13=6) (15=7) (17=8) (ELSE=COPY) INTO katyp_1.
IF (katyp_1=18 AND V22=5) katyp_1 = 7.
RECODE katyp_1 (18=8).

* Art der Krankenversicherung.
RECODE V22 (7=6) (8=6) (9=7) (10=7) (ELSE=COPY) INTO kaart.
EXECUTE.

